/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created at : 07.03.2017
    For Replica table (new interface)
*/

/**
* Common for Replica TABLE and TD
*/
table.table-replica {
    width: 100%;
    max-width: 1600px;
    border-collapse: separate;
    border: 0px solid #EAEBEF;
    border-radius: 5px;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    font: normal small/2 sans-serif;
}
table.table-replica td {
    border: 0px solid #FA8754; /* border to debug */
    padding: 1px;
}

/**
* Common for Replica IMGCLICK
*/
table.table-replica td.imgclick {
    cursor: pointer;
    border-radius: 5px;
    vertical-align: middle;
}
table.table-replica td.imgclick-lightgrey {
    background: #F4F5F9;
}
table.table-replica td.imgclick-center {
    border-radius: 0px;
}
table.table-replica td.imgclick-right {
    border-radius: 0 5px 5px 0;
}
table.table-replica td.imgclick-left {
    border-radius: 5px 0 0 5px;
}

/**
* Common for Replica
*/
table.table-replica-comm {
    background: #EAEBEF;
    margin: 7px 0px; /* space between block of replica */
}
table.table-replica-comm-red {
    border: 1px solid lightcoral;
}
table.table-replica-comm-a2 {
    border: 1px solid #eacd86;
}

/**
* Common for Replica EDIT
*/
table.table-replica-comm-edit {
    background: #FFE173;
    margin: 7px 0px; /* space between block of replica */
}
table.table-replica-comm-edit td {
    border: 0px solid #FA8754; /* border to debug */
    padding: 1px;
}

table.table-replica-single-lightgray {
  background: #F4F5F9;
}

table.table-replica-single-gray {
  background: #EAEBEF;
}

/**
* Table Replica single
*/
table.table-replica-single {
  border: 0px solid #38678f;
  /*background: #EAEBEF;*/
  table-layout: fixed; /* fixed cell width */
}
table.table-replica-single td {
    border: 0px solid #38678f; /* border to debug */
    padding: 0px 5px;
}
table.table-replica-single td.table {
    padding: 0px;
}
table.table-replica-single td.last {
    width: auto;
}
table.table-replica-single td.acc {
    width: auto;
    overflow: hidden; /* fixed cell width */
    white-space: nowrap; /* fixed cell width */
    text-overflow: ellipsis; /* fixed cell width */
}
table.table-replica-single td.answer {
    vertical-align: top;
    background: #F4F5F9;
}
table.table-replica-single td.answer-right {
    vertical-align: top;
    background: #F4F5F9;
    border-radius: 0 5px 5px 0;
}
table.table-replica-single td.answer-left {
    vertical-align: top;
    background: #F4F5F9;
    border-radius: 5px 0 0 5px;
}
table.table-replica-single td.answer-attr {
    vertical-align: top;
    width: 12%;
    min-width: 120px;
    height: 20px;
    overflow: hidden; /* fixed cell width */
    white-space: nowrap; /* fixed cell width */
    text-overflow: ellipsis; /* fixed cell width */
}
table.table-replica-single td.answer-attr-x2 {
    vertical-align: top;
    width: 38%;
    min-width: 120px;
    height: 20px;
    overflow: hidden; /* fixed cell width */
    white-space: nowrap; /* fixed cell width */
    text-overflow: ellipsis; /* fixed cell width */
}
table.table-replica-single td.cut {
    overflow: hidden; /* fixed cell width */
    white-space: nowrap; /* fixed cell width */
    /*text-overflow: ellipsis; /* fixed cell width */
}
table.table-replica-single td.pin {
    text-align : center;
}


p.text-replica {
    margin-left: 20px;
    color: #e17009;
}

img.border {
    border: 2px solid #38678f;
    border-radius: 3px;
}